Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 729460 - net-misc/rsync-3.2.1: checking whether to enable SIMD optimizations... error
Summary: net-misc/rsync-3.2.1: checking whether to enable SIMD optimizations... error
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: lto
  Show dependency tree
 
Reported: 2020-06-24 16:06 UTC by Perfect Gentleman
Modified: 2020-06-25 08:03 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Perfect Gentleman 2020-06-24 16:06:27 UTC
>>> Emerging (1 of 1) net-misc/rsync-3.2.1::gentoo
 * rsync-3.2.1.tar.gz BLAKE2B SHA512 size ;-) ...                                                                                                     [ ok ]
>>> Unpacking source...
>>> Unpacking rsync-3.2.1.tar.gz to /tmp/portage/net-misc/rsync-3.2.1/work
>>> Source unpacked in /tmp/portage/net-misc/rsync-3.2.1/work
>>> Preparing source in /tmp/portage/net-misc/rsync-3.2.1/work/rsync-3.2.1 ...
>>> Source prepared.
>>> Configuring source in /tmp/portage/net-misc/rsync-3.2.1/work/rsync-3.2.1 ...
 * econf: updating rsync-3.2.1/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating rsync-3.2.1/config.sub with /usr/share/gnuconfig/config.sub
./configure --prefix=/usr --build=x86_64-pc-linux-gnu --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --docdir=/usr/share/doc/rsync-3.2.1 --htmldir=/usr/share/doc/rsync-3.2.1/html --libdir=/usr/lib64 --with-rsyncd-conf=/etc/rsyncd.conf --without-included-popt --enable-acl-support --enable-iconv --disable-ipv6 --disable-lz4 --enable-openssl --with-included-zlib --enable-xattr-support --disable-xxhash --enable-zstd --enable-simd
configure.sh: Configuring rsync 3.2.1
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking whether to include debugging symbols... yes
checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -E
checking for x86_64-pc-linux-gnu-g++... x86_64-pc-linux-gnu-g++
checking whether we are using the GNU C++ compiler... yes
checking whether x86_64-pc-linux-gnu-g++ accepts -g... yes
checking for gawk... gawk
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for a BSD-compatible install... /usr/lib/portage/python3.9/ebuild-helpers/xattr/install -c
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C99... none needed
checking for x86_64-pc-linux-gnu-gcc option to accept ISO Standard C... (cached) none needed
checking for perl... /usr/bin/perl
checking for python3... /usr/bin/python3
checking if md2man can create man pages... yes
checking if we require man-page building... optional
checking for remsh... 0
checking for sh... /bin/sh
checking for fakeroot... /usr/bin/fakeroot
checking the group for user "nobody"... nobody
checking whether to enable SIMD optimizations... error
configure.sh: error: The SIMD compilation test failed.
Omit --enable-simd to continue without it.

Reproducible: Always




>>> Emerging (1 of 1) net-misc/rsync-3.2.1::gentoo
 * rsync-3.2.1.tar.gz BLAKE2B SHA512 size ;-) ...                                                                                                     [ ok ]
>>> Unpacking source...
>>> Unpacking rsync-3.2.1.tar.gz to /tmp/portage/net-misc/rsync-3.2.1/work
>>> Source unpacked in /tmp/portage/net-misc/rsync-3.2.1/work
>>> Preparing source in /tmp/portage/net-misc/rsync-3.2.1/work/rsync-3.2.1 ...
>>> Source prepared.
>>> Configuring source in /tmp/portage/net-misc/rsync-3.2.1/work/rsync-3.2.1 ...
 * econf: updating rsync-3.2.1/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating rsync-3.2.1/config.sub with /usr/share/gnuconfig/config.sub
./configure --prefix=/usr --build=x86_64-pc-linux-gnu --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --docdir=/usr/share/doc/rsync-3.2.1 --htmldir=/usr/share/doc/rsync-3.2.1/html --libdir=/usr/lib64 --with-rsyncd-conf=/etc/rsyncd.conf --without-included-popt --enable-acl-support --enable-iconv --disable-ipv6 --disable-lz4 --enable-openssl --with-included-zlib --enable-xattr-support --disable-xxhash --enable-zstd --enable-simd
configure.sh: Configuring rsync 3.2.1
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking whether to include debugging symbols... yes
checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -E
checking for x86_64-pc-linux-gnu-g++... x86_64-pc-linux-gnu-g++
checking whether we are using the GNU C++ compiler... yes
checking whether x86_64-pc-linux-gnu-g++ accepts -g... yes
checking for gawk... gawk
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for a BSD-compatible install... /usr/lib/portage/python3.9/ebuild-helpers/xattr/install -c
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C99... none needed
checking for x86_64-pc-linux-gnu-gcc option to accept ISO Standard C... (cached) none needed
checking for perl... /usr/bin/perl
checking for python3... /usr/bin/python3
checking if md2man can create man pages... yes
checking if we require man-page building... optional
checking for remsh... 0
checking for sh... /bin/sh
checking for fakeroot... /usr/bin/fakeroot
checking the group for user "nobody"... nobody
checking whether to enable SIMD optimizations... error
configure.sh: error: The SIMD compilation test failed.
Omit --enable-simd to continue without it.
Comment 1 Perfect Gentleman 2020-06-24 16:07:00 UTC
~ $ emerge --info rsync
Portage 2.3.103 (python 3.9.0-beta-3, default/linux/amd64/17.1/no-multilib, gcc-10.1.0, glibc-2.31-r5, 5.7.5-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.7.5-gentoo-x86_64-AMD_Turion-tm-_II_Neo_N54L_Dual-Core_Processor-with-glibc2.31
KiB Mem:     8132784 total,    228800 free
KiB Swap:    7340028 total,   7339772 free
Timestamp of repository gentoo: Wed, 24 Jun 2020 06:05:22 +0000
Head commit of repository gentoo: 2dde3681df09a00bd2f53131d0a32862b7ae8348

Head commit of repository pg_overlay: 0ff652be292d3c6c62941df8323954b3b01aa0d4

sh bash 5.0_p17
ld GNU ld (Gentoo 2.34 p4) 2.34.0
ccache version 3.7.10 [enabled]
app-shells/bash:          5.0_p17::gentoo
dev-lang/perl:            5.30.3-r2::gentoo
dev-lang/python:          3.9.0_beta3::pg_overlay
dev-util/ccache:          3.7.10::gentoo
dev-util/cmake:           3.18.0_rc2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.69-r5::gentoo
sys-devel/automake:       1.16.2::gentoo
sys-devel/binutils:       2.34-r1::gentoo
sys-devel/gcc:            10.1.0-r1::gentoo
sys-devel/gcc-config:     2.3.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.31-r5::pg_overlay
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/repo/sync/gentoo.git
    priority: 1
    eclass-overrides: gentoo pg_overlay
    sync-git-clone-extra-opts: --single-branch --branch master

pg_overlay
    location: /usr/portage/overlay/pg_overlay
    sync-type: git
    sync-uri: https://github.com/perfect7gentleman/pg_overlay.git
    masters: gentoo
    priority: 7
    eclass-overrides: gentoo pg_overlay

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -mtune=native -O3 -pipe -flto=3 -fomit-frame-pointer -fdevirtualize-at-ltrans -fuse-linker-plugin -fno-plt -fno-stack-protector -s"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -mtune=native -O3 -pipe -flto=3 -fomit-frame-pointer -fdevirtualize-at-ltrans -fuse-linker-plugin -fno-plt -fno-stack-protector -s"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-march=native -mtune=native -O3 -pipe -flto=3 -fomit-frame-pointer -fdevirtualize-at-ltrans -fuse-linker-plugin -fno-plt -fno-stack-protector -s"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync metadata-transfer multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -mtune=native -O3 -pipe -flto=3 -fomit-frame-pointer -fdevirtualize-at-ltrans -fuse-linker-plugin -fno-plt -fno-stack-protector -s"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--sort-common -march=native -mtune=native -O3 -pipe -flto=3 -fomit-frame-pointer -fdevirtualize-at-ltrans -fuse-linker-plugin -fno-plt -fno-stack-protector -s"
LINGUAS="en en_US ru ru_RU"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_COMPRESS_FLAGS="-9"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp"
USE="acl amd64 bash-completion bzip2 cli crypt custom-cflags cxx dri fastcgi ffmpeg gmp gzip iconv jit libtirpc lzma lzo ncurses nls nptl ogg openmp pam pch pcre readline seccomp smp split-usr ssl symlink szip threads udev unicode xattr zip zlib zstd" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2 sse3 sse4a" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="libinput" KERNEL="linux" L10N="en en_US ru ru_RU" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9" RUBY_TARGETS="ruby25" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

net-misc/rsync-3.2.0-r1::gentoo was built with the following:
USE="acl iconv ssl xattr zstd -examples -ipv6 -libressl -lz4 -static -stunnel -system-zlib -xxhash" CPU_FLAGS_X86="sse2"
Comment 2 Sam James archtester gentoo-dev Security 2020-06-24 22:30:39 UTC
Can you reproduce with vanilla CFLAGS, i.e. CFLAGS="-O2 -march=native -pipe"?

(Aside: -fno-stack-protector is dangerous and I don't see the need to use it.)
Comment 3 Perfect Gentleman 2020-06-25 01:26:15 UTC
Merged without -flto
-------
CFLAGS="-march=native -mtune=native -O3 -pipe -fomit-frame-pointer -fdevirtualize-at-ltrans -fuse-linker-plugin -fno-plt -fno-stack-protector -s"
CXXFLAGS="-march=native -mtune=native -O3 -pipe -fomit-frame-pointer -fdevirtualize-at-ltrans -fuse-linker-plugin -fno-plt -fno-stack-protector -s"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--sort-common -march=native -mtune=native -O3 -pipe -fomit-frame-pointer -fdevirtualize-at-ltrans -fuse-linker-plugin -fno-plt -fno-stack-protector -s"
-----